FROM node:alpine as build
WORKDIR /angular
COPY package.json package-lock.json /angular/
RUN npm install
COPY . /angular
RUN npm run build

FROM nginx:stable-alpine
COPY --from=build /angular/dist/frontend /usr/share/nginx/html
COPY nginx.conf /etc/nginx/conf.d/default.conf
